Skip to main content
PUT
Update Blacklist Entry

Authorizations

Authorization
string
header
required

You can retrieve your API key from your dashboard under Account > Developers.

Path Parameters

shopId
integer
required

The shop ID.

blacklistId
integer
required

The blacklist entry ID.

Body

application/json
id
integer
required
Example:

6

value
string
required
Example:

"consequatur"

type
enum<string>
required
Available options:
email,
email_domain,
disposable_email,
discord_id,
country_code,
city,
ip,
ip_range,
isp,
asn,
vpn,
tor,
user_agent
Example:

"email_domain"

match_type
enum<string>
required
Available options:
exact,
regex
Example:

"regex"

reason
string | null
Example:

"consequatur"

message
string | null
Example:

"consequatur"

payment_method_ids
(string | null)[]

Must match an existing stored value.

Example:

null

enabled
boolean
Example:

true

active_from
string | null

Must be a valid date. Must be a date before 2038-01-19.

Example:

"2012-05-28"

active_to
string | null

Must be a valid date. Must be a date after active_from. Must be a date before 2038-01-19.

Example:

"2012-05-28"

Response

200